API Direct
Endpoints
Reddit Search Users

Reddit Search Users

GET /v1/reddit/users

Search Reddit users by keyword. Returns profile data including username, karma scores (post and comment), account age, bio, banner, and verified, moderator, employee, NSFW and Reddit Premium status. Up to 100 users, 25 per page.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)
pages
Number of pages to fetch, 1-4 (default: 1). Each page returns up to 25 users

Example Request

curl "https://apidirect.io/v1/reddit/users?query=programming&pages=2" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "users": [
    {
      "username": "FrequencyProgramming",
      "user_id": "5btdelnr",
      "description": "Our moto is simply to spread positive energy and thoughts all over the world. Our music generally helps to enhance positive energy and relax the mind/body/so...",
      "link_karma": 563,
      "comment_karma": 167,
      "total_karma": 730,
      "has_verified_email": true,
      "verified": true,
      "is_gold": false,
      "is_mod": false,
      "is_employee": false,
      "nsfw": false,
      "icon_img": "https://styles.redditmedia.com/t5_2bjoel/styles/profileIcon_hrd7fh726c941.jpg?width=256&height=256&crop=256:256,smart&s=87813f382b26c26c6d79f01425814bd54931273e",
      "banner_img": "https://styles.redditmedia.com/t5_2bjoel/styles/profileBanner_s18l62qo6c941.jpg?width=1280&height=384&crop=1280:384,smart&s=aaffe2423335ba6ced9b97b696ad39c0afe628f9",
      "created_at": "2019-12-29 19:24:22",
      "url": "https://reddit.com/user/FrequencyProgramming"
    }
  ],
  "pages": 2,
  "count": 32
}

Your Usage

Free tier this month
Loading...
Recent Activity